/// <summary>
/// Permet de jouer une partie de mastermind, avec les rgles classiques 
/// (2 joueurs, 12 tours, un code  4 couleurs parmi 6)
/// </summary>

using ConsoleApp;
using CoreLibrary;
using CoreLibrary.Regles;


Utils.DessinerTitre();

Partie maPartie = new Partie(new ReglesClassiques());

maPartie.DemanderJoueur += Evenements.DemanderJoueur;
maPartie.DebutPartie += Evenements.CommencerLaPartie;
maPartie.NouveauTour += Evenements.NouveauTour;
maPartie.DemanderJeton += Evenements.DemanderJeton;
maPartie.AjouterJeton += Evenements.AjouterJeton;
maPartie.SupprimerDernierJeton += Evenements.SupprimerDernierJeton;
maPartie.AjouterCode += Evenements.AjouterCode;
maPartie.PartieTerminee += Evenements.PartieTerminee;

maPartie.Jouer();
